#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-WWW-Curl
Version		:	4.17
Release		:	17.2.0.rel%{?dist}
Summary		:	Perl extension interface for libcurl
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://metacpan.org/dist/WWW-Curl

Source0		:	%{sname}-%{version}.tar.gz
Patch0		:	%{sname}-%{version}-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
Patch1		:	%{sname}-%{version}-define-CURL-as-void.patch
Patch2		:	%{sname}-%{version}-Adapt-to-changes-in-cURL-7.69.0.patch
Patch3		:	%{sname}-%{version}-Adapt-to-curl-7.87.0.patch
Patch4		:	%{sname}-%{version}-Work-around-a-macro-bug-in-curl-7.87.0.patch

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl-Module-Install


Requires	:	perl
#-----------------------------------------------------------------------------
%description
WWW::Curl is a Perl extension interface for libcurl.


#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_libdir}/perl5/%{perlvers}/core_perl/auto/WWW/*
%{_libdir}/perl5/%{perlvers}/core_perl/WWW/Curl.pm
%{_libdir}/perl5/%{perlvers}/core_perl/WWW/Curl/*.pm
%{_mandir}/man3/WWW::Curl.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1
%patch -P4 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	NO_PACKLIST=1						\
	NO_PERLLOCAL=1						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
